ChangeSet 1.1030, 2003/03/05 21:02:50-08:00, go@turbolinux.co.jp

[PATCH] USB: Another sony memorystick

This is another sony memorystick MSC-U03 for unusual_devs.
If there is no entry, and when USB hotplug is enabled,
the system will be stoped for a while.
Some new SONY laptops has this memorystick by built-in.


 drivers/usb/storage/unusual_devs.h |    6 ++++++
 1 files changed, 6 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Thu Mar  6 14:20:46 2003
+++ b/drivers/usb/storage/unusual_devs.h	Thu Mar  6 14:20:46 2003
@@ -255,6 +255,12 @@
 		US_SC_UFI, US_PR_CB, NULL,
 		US_FL_SINGLE_LUN | US_FL_START_STOP ),
 		
+UNUSUAL_DEV(  0x054c, 0x0069, 0x0000, 0x9999,
+		"Sony",
+		"Memorystick MSC-U03",
+		US_SC_UFI, US_PR_CB, NULL,
+		US_FL_SINGLE_LUN | US_FL_START_STOP ),
+
 /* Submitted by Nathan Babb <nathan@lexi.com> */
 UNUSUAL_DEV(  0x054c, 0x006d, 0x0000, 0x9999,
                 "Sony",
